Debian Bug report logs - #402688
fakeroot: handle openat() and friends

version graph

Package: fakeroot; Maintainer for fakeroot is Clint Adams <clint@debian.org>; Source for fakeroot is src:fakeroot.

Reported by: Clint Adams <schizo@debian.org>

Date: Tue, 12 Dec 2006 02:33:01 UTC

Severity: normal

Tags: patch

Found in version fakeroot/1.5.10

Fixed in version fakeroot/1.7

Done: Clint Adams <schizo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#402688; Package fakeroot. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
New Bug report received and forwarded. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fakeroot: handle openat() and friends
Date: Mon, 11 Dec 2006 21:19:55 -0500
Package: fakeroot
Version: 1.5.10

This will become useful for glibc 2.5.  Here's an unfinished patch.


--- orig/configure.ac
+++ mod/configure.ac
@@ -1,12 +1,11 @@
 dnl Process this file with autoconf to produce a configure script.
 AC_INIT([fakeroot],[FAKEROOT_VERSION],[schizo@debian.org],[fakeroot])
-AC_PREREQ(2.59)
+AC_PREREQ(2.61)
 AC_CANONICAL_TARGET
 AM_INIT_AUTOMAKE
 AM_MAINTAINER_MODE
 AC_CONFIG_HEADERS([config.h])
 AC_PROG_MAKE_SET
-AM_PROG_LIBTOOL
 LT_INIT
 LT_LANG(C)
 
@@ -352,7 +351,7 @@
 AC_DEFINE_UNQUOTED([LIBCPATH], "$libcpath", [path to libc shared object])
 
 dnl Checks for library functions.
-AC_CHECK_FUNCS(strdup strstr getresuid setresuid getresgid setresgid setfsuid setfsgid)
+AC_CHECK_FUNCS(strdup strstr getresuid setresuid getresgid setresgid setfsuid setfsgid openat fchmodat fchownat fstatat mknodat mkdirat unlinkat renameat)
 
 dnl kludge
 AH_VERBATIM([WRAP_STAT],


--- orig/libfakeroot.c
+++ mod/libfakeroot.c
@@ -1167,3 +1167,18 @@
 {
   return fakeroot_disabled;
 }
+
+int fstatat (int dirfd, 
+	     const char *file_name, 
+	     struct stat *st,
+	     int flags) {
+  int r;
+
+  r=next_fstatat(dirfd, file_name, st, flags);
+  if(r)
+    return -1;
+  send_get_stat(st);
+  return 0;
+}
+
+


--- orig/wrapfunc.inp
+++ mod/wrapfunc.inp
@@ -89,3 +89,27 @@
 #endif /* HAVE_SETFSGID */
 initgroups;int;(const char *user, INITGROUPS_SECOND_ARG group);(user, group)
 setgroups;int;(SETGROUPS_SIZE_TYPE size, const gid_t *list);(size, list)
+#ifdef HAVE_OPENAT
+openat;int;(int dirfd, const char *pathname, int flags);(dirfd, pathname, flags)
+#endif /* HAVE_OPENAT */
+#ifdef HAVE_FCHMODAT
+fchmodat;int;(int dirfd, const char *path, mode_t mode, int flags);(dirfd, path, mode, flags)
+#endif /* HAVE_FCHMODAT */
+#ifdef HAVE_FCHOWNAT
+fchownat;int;(int dirfd, const char *path, uid_t owner, gid_t group, int flags);(dirfd, path, owner, group, flags)
+#endif /* HAVE_FCHOWNAT */
+#ifdef HAVE_FSTATAT
+fstatat;int;(int dirfd, const char *path, struct stat *buf, int flags);(dirfd, path, buf, flags)
+#endif /* HAVE_FSTATAT */
+#ifdef HAVE_MKNODAT
+mknodat;int;(int dirfd, const char *pathname, mode_t mode, dev_t dev);(dirfd, pathname, mode, dev)
+#endif /* HAVE_MKNODAT */
+#ifdef HAVE_MKDIRAT
+mkdirat;int;(int dirfd, const char *pathname, mode_t mode);(dirfd, pathname, mode)
+#endif /* HAVE_MKDIRAT */
+#ifdef HAVE_UNLINKAT
+unlinkat;int;(int dirfd, const char *pathname, int flags);(dirfd, pathname, flags)
+#endif /* HAVE_UNLINKAT */
+#ifdef HAVE_RENAMEAT
+renameat;int;(int olddirfd, const char *oldpath, int newdirfd, const char *newpath);(olddirfd, oldpath, newdirfd, newpath)
+#endif /* HAVE_RENAMEAT */






Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#402688; Package fakeroot. Full text and rfc822 format available.

Acknowledgement sent to "Henrik Eriksson" <henrik.eriksson@axis.com>:
Extra info received and forwarded to list. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #10 received at 402688@bugs.debian.org (full text, mbox):

From: "Henrik Eriksson" <henrik.eriksson@axis.com>
To: <402688@bugs.debian.org>
Subject: fakeroot *at() functions
Date: Fri, 22 Dec 2006 11:10:48 +0100
[Message part 1 (text/plain, inline)]
Hi,

I did some work on fakeroot support for *at() some time a go.  Patch
against 1.5.10 is attached, if you have any use for it.  It appears to
work fine with glibc 2.4 and coreutils 6.4 on the gentoo system I run.

Best regards,

/henrik
[froot_1_5_10-atfuncs.patch (application/octet-stream, attachment)]

Tags added: patch Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Clint Adams <schizo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Clint Adams <schizo@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 402688-close@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 402688-close@bugs.debian.org
Subject: Bug#402688: fixed in fakeroot 1.7
Date: Fri, 13 Apr 2007 17:32:03 +0000
Source: fakeroot
Source-Version: 1.7

We believe that the bug you reported is fixed in the latest version of
fakeroot, which is due to be installed in the Debian FTP archive:

fakeroot_1.7.dsc
  to pool/main/f/fakeroot/fakeroot_1.7.dsc
fakeroot_1.7.tar.gz
  to pool/main/f/fakeroot/fakeroot_1.7.tar.gz
fakeroot_1.7_i386.deb
  to pool/main/f/fakeroot/fakeroot_1.7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 402688@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <schizo@debian.org> (supplier of updated fakeroot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 13 Apr 2007 12:51:16 -0400
Source: fakeroot
Binary: fakeroot
Architecture: source i386
Version: 1.7
Distribution: unstable
Urgency: low
Maintainer: Clint Adams <schizo@debian.org>
Changed-By: Clint Adams <schizo@debian.org>
Description: 
 fakeroot   - Gives a fake root environment
Closes: 402688
Changes: 
 fakeroot (1.7) unstable; urgency=low
 .
   * Forward-port and apply patch from Henrik Eriksson to add support
     for fstatat(), fstatat64(), mknodat(), fchmodat(), mkdirat(),
     openat(), renameat(), unlinkat().  closes: #402688.
Files: 
 b47be98ddcc16bb09161f2afdfa4490c 700 utils optional fakeroot_1.7.dsc
 ce3a293a8a0a680bdf4966e4a6582387 393289 utils optional fakeroot_1.7.tar.gz
 e192573eb324c508cdc240f847005e8f 106138 utils optional fakeroot_1.7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Debian!

iD8DBQFGH71c5m0u66uWM3ARAk7kAJ98DfM2qQkIZBQ3tgMC2H2Zwm7ULQCfYcHl
lSEH02HgSF7yXL2J9LQq09g=
=5hsl
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 00:40:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:42:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.